#pragma once

#include "../../../include/dv-processing/measurements/depth.hpp"

#include <pybind11/pybind11.h>

namespace py = pybind11;

/**
 * @brief Bind measurements::Depth class to python
 * @param m pybind The module to bind to
 */
void bind_depth(py::module &m) {
	py::class_<dv::measurements::Depth>(
		m, "Depth", "A depth measurement structure that contains a timestamped measurement of depth.")
		.def(py::init<int64_t, float>(), py::arg("timestamp"), py::arg("depth"))
		.def_readwrite("mTimestamp", &dv::measurements::Depth::mTimestamp, "UNIX Microsecond timestamp.")
		.def_readwrite(
			"mDepth", &dv::measurements::Depth::mDepth, "Depth measurement value, expected to be in meters.");
}
